### Method

# FwupdPlugin TemporaryDirectory build

since: 2.1.1

#### Declaration [src]

    gchar*
    fu_temporary_directory_build (
      FuTemporaryDirectory* self,
      ...
    )

#### Description [src]

Builds a path within the temporary_directory.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  Pairs of string values, ending with `NULL`.

#### Return value

Type: `gchar*`

A path.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.